%define upstream_name    Image-Caa
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Colored ASCII Art
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module outputs 'Image::Magick' image objects as ASCII Art, using a
variety of output dithering modes and output drivers (currently supported
is a plain old ANSI terminal output driver and a curses driver).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.10.0-12.mga10
+ Revision: 2199512
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.10.0-11.mga9
+ Revision: 1804123
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-10.mga8
+ Revision: 1495070
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-9.mga7
+ Revision: 1268562
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-8.mga6
+ Revision: 1028457
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-7.mga6
+ Revision: 948758
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 788003
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 751017
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 685117
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 512354
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 368723
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 1.10.0-1.mga2
+ Revision: 163199
- imported package perl-Image-Caa


* Sat Nov 05 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
